import { Action } from './types';
export declare type HistoryRecord<A extends Action> = {
    time: number;
    action: A;
    separated?: boolean;
};
export default class History<A extends Action> {
    active: boolean;
    produced: HistoryRecord<A>[];
    reserved: HistoryRecord<A>[];
    limit?: number;
    constructor({ limit }: {
        limit?: number;
    });
    add(action: A): void;
    getRecent(ms: number): HistoryRecord<A>[];
    move(from: HistoryRecord<A>[], to: HistoryRecord<A>[], type: 'undo' | 'redo'): Promise<HistoryRecord<A> | undefined>;
    undo(): Promise<HistoryRecord<A> | undefined>;
    clear(): void;
    redo(): Promise<HistoryRecord<A> | undefined>;
}
//# sourceMappingURL=history.d.ts.map