import { BaseSchemes, NodeEditor, NodeId } from 'rete';
import { BaseAreaPlugin } from 'rete-area-plugin';
import { Action } from '../../../types';
export declare type Position = {
    x: number;
    y: number;
};
export declare class AddNodeAction<S extends BaseSchemes, AreaExtra> implements Action {
    private editor;
    private area;
    private nodeId;
    node?: S['Node'];
    position?: Position;
    constructor(editor: NodeEditor<S>, area: BaseAreaPlugin<S, AreaExtra>, nodeId: NodeId);
    undo(): Promise<void>;
    redo(): Promise<void>;
}
export declare class RemoveNodeAction<S extends BaseSchemes, AreaExtra> implements Action {
    private editor;
    private area;
    private node;
    private position;
    constructor(editor: NodeEditor<S>, area: BaseAreaPlugin<S, AreaExtra>, node: S['Node'], position: Position);
    undo(): Promise<void>;
    redo(): Promise<void>;
}
export declare class DragNodeAction<S extends BaseSchemes, AreaExtra> implements Action {
    private area;
    nodeId: NodeId;
    prev: Position;
    new: Position;
    constructor(area: BaseAreaPlugin<S, AreaExtra>, nodeId: NodeId, prev: Position);
    translate(position: Position): Promise<void>;
    undo(): Promise<void>;
    redo(): Promise<void>;
}
//# sourceMappingURL=node.d.ts.map