import { BaseSchemes } from 'rete';
import { BaseArea } from 'rete-area-plugin';
import { Preset } from '../types';
import { AddConnectionAction, RemoveConnectionAction } from './actions/connection';
import { AddNodeAction, DragNodeAction, RemoveNodeAction } from './actions/node';
export { AddConnectionAction, AddNodeAction, DragNodeAction, RemoveConnectionAction, RemoveNodeAction };
declare type NodeActions<S extends BaseSchemes> = AddNodeAction<S, BaseArea<S>> | RemoveNodeAction<S, BaseArea<S>> | DragNodeAction<S, BaseArea<S>>;
declare type ConnectionActions<S extends BaseSchemes> = AddConnectionAction<S> | RemoveConnectionAction<S>;
export declare type HistoryActions<S extends BaseSchemes> = NodeActions<S> | ConnectionActions<S>;
/**
 * Classic preset for the history plugin. Tracks node adding/removing/translating, connection adding/removing.
 */
export declare function setup<S extends BaseSchemes>(props?: {
    timing?: number;
}): Preset<S, HistoryActions<S>>;
//# sourceMappingURL=index.d.ts.map